build:
{% if go_build_files.files is defined %}
{% for file in go_build_files.files %}
{{ ("- src: " ~ file.path) | indent(2, true) }}
{% if project.type is defined and project.type == "lambda/provided.al2" %}
{{ "dst: build/bootstrap" | indent(4, true) }}
{% else %}
{{ ("dst: build/" ~ file.path | dirname | basename) | indent(4, true) }}
{% endif %}
{% if project.type is defined and (project.type | regex_search("^lambda")) %}
{{ ("zip: build/" ~ file.path | dirname | basename  ~ ".zip") | indent(4, true) }}
{% endif %}
{% endfor %}
{% endif %}
{% for file in (build_vars.files) %}
{{ ("- src: " ~ file.src) | indent(2, true) }}
{{ ("dst: " ~ file.dst) | indent(4, true) }}
{% if file.zip is defined %}
{{ ("zip: " ~ file.zip) | indent(4, true) }}
{% endif %}
{% if file.environment is defined %}
{{ ("environment: " ~ file.environment) | indent(4, true) }}
{% endif %}
{% if file.flags is defined %}
{{ ("flags: " ~ file.flags) | indent(4, true) }}
{% endif %}
{% endfor %}
